This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478687 - LTC:4.8:200770:Include Open Fabric Enterprise Distribution
LTC:4.8:200770:Include Open Fabric Enterprise Distribution
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
x86_64 All
high Severity high
: rc
: ---
Assigned To: Doug Ledford
Gurhan Ozen
: FutureFeature, OtherQA
Depends On: 454778
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 11:53 EST by Doug Ledford
Modified: 2013-11-03 20:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2009-01-03 11:53:01 EST
+++ This bug was initially created as a clone of Bug #454778 +++

=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:29 EDT
1. Feature Id:	[200770]
Feature Name:	Include Open Fabric Enterprise Distribution
Sponsor:	xSeries
Category:	xSeries
Request Type:	Package - Feature from Upstream

2. Short Description
Include and support the InfiniBand driver and protocols released by OpenFabrics.org.  Need support
for Mellanox IB driver (drivers/infiniband/hw/mthca) which supports several IBM BladeCenter/Cluster
options.  This driver has the co -req of the OFED code.
 
 This request is to specifically update the OFED stack (and its corresponding drivers) to the latest
available version to ensure all known bug fixes are available for our customers.

3. Business Case
Cluster & Blade solutions use Voltaire, Cisco, & Topspin IB adapters.  System x needs to be able to
support: -Voltaire High Performance SDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Voltaire High Performance DDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Cisco Systems 4X InfiniBand HCA Expansion Card for IBM BladeCenter -Cisco Systems
InfiniBand HCA Expansion Card for IBM BladeCenter


4. Sponsor Priority	1
IBM Confidential:	no
Code Contribution:	3rd party code
Upstream Acceptance:	Accepted
Component Version Target:	1.3.1+
Performance Assistance:	no

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Julio Alvarez, julioa@us.ibm.com

-----

Cloning original bug so I can have a bug against the kernel component when I submit the kernel patch.
Comment 1 Doug Ledford 2009-01-07 12:31:27 EST
Everything except the ehca driver update has been posted internally for review.  Once the ehca driver works, I'll send the incremental diff for review and switch this bug to posted status.
Comment 2 Vivek Goyal 2009-01-19 14:58:37 EST
Committed in 79.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 4 Chris Ward 2009-02-20 08:32:28 EST
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should
be a fix present in the Beta, which addresses this bug. If you have already completed testing your other URGENT priority bugs, and you still haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. Further questions can be directed to your
Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management
Comment 5 Chris Ward 2009-03-13 10:03:31 EDT
~~ Attention Partners!  ~~
RHEL 4.8Beta has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. Please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe any issues you encountered. If you have found a NEW bug, clone this bug and describe the issues you've encountered. Further questions can be directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the Verified field above. Please leave a comment with your test results details. Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 6 Chris McDermott 2009-03-26 17:36:00 EDT
Installed OFED 1.4 in RHEL4.8 alpha (2.6.9-81.ELsmp) on a pair of IBM HS21
blades connected by a DDR switch. The install and startup of the openibd ,
related libraries and modules worked without errors. Performed client/server
tests of ib_uverbs and ib_ipoib interfaces. All the tests completed
successfully and performed as expected.
Comment 8 errata-xmlrpc 2009-05-18 15:16:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.